Package helma.scripting.rhino

# Class HopObjectCtor

java.lang.Object
org.mozilla.javascript.ScriptableObject
org.mozilla.javascript.IdScriptableObject
org.mozilla.javascript.BaseFunction
org.mozilla.javascript.FunctionObject
helma.scripting.rhino.HopObjectCtor

All Implemented Interfaces:
  `Serializable`, `org.mozilla.javascript.Callable`, `org.mozilla.javascript.ConstProperties`, `org.mozilla.javascript.Constructable`, `org.mozilla.javascript.debug.DebuggableObject`, `org.mozilla.javascript.Function`, `org.mozilla.javascript.IdFunctionCall`, `org.mozilla.javascript.Scriptable`, `org.mozilla.javascript.SymbolScriptable`

public class HopObjectCtor extends org.mozilla.javascript.FunctionObject

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.mozilla.javascript.ScriptableObject

`org.mozilla.javascript.ScriptableObject.KeyComparator`

## Field Summary

### Fields inherited from class org.mozilla.javascript.FunctionObject

`JAVA_BOOLEAN_TYPE, JAVA_DOUBLE_TYPE, JAVA_INT_TYPE, JAVA_OBJECT_TYPE, JAVA_SCRIPTABLE_TYPE, JAVA_STRING_TYPE, JAVA_UNSUPPORTED_TYPE`

### Fields inherited from class org.mozilla.javascript.BaseFunction

`Id_arguments, Id_arity, Id_length, Id_name, Id_prototype, MAX_INSTANCE_ID`

### Fields inherited from class org.mozilla.javascript.ScriptableObject

`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

### Fields inherited from interface org.mozilla.javascript.Scriptable

`NOT_FOUND`

## Constructor Summary

Constructors
Constructor
Description
`HopObjectCtor(String protoName, RhinoCore core, org.mozilla.javascript.Scriptable prototype)`
Create and install a HopObject constructor.

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(String name, org.mozilla.javascript.Scriptable start)`
`static Object`
`jsConstructor(org.mozilla.javascript.Context cx, Object[] args, org.mozilla.javascript.Function ctorObj, boolean inNewExpr)`
This method is used as HopObject constructor from JavaScript.
`void`
`put(String name, org.mozilla.javascript.Scriptable start, Object value)`

### Methods inherited from class org.mozilla.javascript.FunctionObject

`addAsConstructor, addAsConstructor, call, convertArg, convertArg, createObject, getArity, getFunctionName, getLength, getMethodOrConstructor, getTypeTag`

### Methods inherited from class org.mozilla.javascript.BaseFunction

`construct, execIdCall, fillConstructorProperties, findInstanceIdInfo, findPrototypeId, getClassName, getClassPrototype, getHomeObject, getInstanceIdName, getInstanceIdValue, getMaxInstanceId, getPrototypeProperty, getTypeOf, hasDefaultParameters, hasInstance, hasPrototypeProperty, initPrototypeId, isGeneratorFunction, setHomeObject, setImmunePrototypeProperty, setInstanceIdAttributes, setInstanceIdValue, setPrototypeProperty, setPrototypePropertyAttributes, setStandardPropertyAttributes, setupDefaultPrototype`

### Methods inherited from class org.mozilla.javascript.IdScriptableObject

`activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultHas, defaultPut, defineOwnProperty, delete, delete, ensureType, ensureType, exportAsJSClass, findInstanceIdInfo, findPrototypeId, get, getAttributes, getAttributes, getOwnPropertyDescriptor, has, has, hasPrototypeMap, initPrototypeConstructor, initPrototypeMethod, initPrototypeMethod, initPrototypeMethod, initPrototypeValue, initPrototypeValue, instanceIdInfo, put, setAttributes`

### Methods inherited from class org.mozilla.javascript.ScriptableObject

`applyDescriptorToAttributeBitset, associateValue, avoidObjectDetection, buildDataDescriptor, callMethod, callMethod, checkPropertyChangeForSlot, checkPropertyDefinition, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineOwnProperties, defineOwnProperty, defineProperty, defineProperty, defineProperty, defineProperty, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, deleteProperty, ensureScriptable, ensureScriptableObject, ensureScriptableObjectButNotSymbol, ensureSymbolScriptable, equivalentValues, get, get, getAllIds, getArrayPrototype, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getExternalArrayData, getExternalArrayLength, getFunctionPrototype, getGeneratorFunctionPrototype, getGetterOrSetter, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getProperty, getPropertyIds, getPrototype, getSuperProperty, getSuperProperty, getSuperProperty, getTopLevelScope, getTopScopeValue, getTypedProperty, getTypedProperty, has, hasProperty, hasProperty, hasProperty, isAccessorDescriptor, isConst, isDataDescriptor, isEmpty, isExtensible, isFalse, isGenericDescriptor, isGetterOrSetter, isSealed, isTrue, preventExtensions, put, putConst, putConstProperty, putOwnProperty, putOwnProperty, putOwnProperty, putProperty, putProperty, putProperty, putSuperProperty, putSuperProperty, putSuperProperty, querySlot, redefineProperty, sameValue, sealObject, setAttributes, setAttributes, setAttributes, setAttributes, setCommonDescriptorProperties, setExternalArrayData, setGetterOrSetter, setParentScope, setPrototype, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mozilla.javascript.Scriptable

`delete, delete, get, getDefaultValue, getIds, getParentScope, getPrototype, has, has, put, setParentScope, setPrototype`

## Constructor Details

### HopObjectCtor

public HopObjectCtor(String protoName, RhinoCore core, org.mozilla.javascript.Scriptable prototype)
Create and install a HopObject constructor. Part of this is copied from o.m.j.FunctionObject.addAsConstructor().

Parameters:
  `prototype` -

## Method Details

### jsConstructor

public static Object jsConstructor(org.mozilla.javascript.Context cx, Object[] args, org.mozilla.javascript.Function ctorObj, boolean inNewExpr) throws org.mozilla.javascript.JavaScriptException
This method is used as HopObject constructor from JavaScript.

Throws:
  `org.mozilla.javascript.JavaScriptException`

### get

public Object get(String name, org.mozilla.javascript.Scriptable start)

Specified by:
  `get` in interface `org.mozilla.javascript.Scriptable`
Overrides:
  `get` in class `org.mozilla.javascript.IdScriptableObject`

### put

public void put(String name, org.mozilla.javascript.Scriptable start, Object value)

Specified by:
  `put` in interface `org.mozilla.javascript.Scriptable`
Overrides:
  `put` in class `org.mozilla.javascript.IdScriptableObject`